%bcond_without  vendor
%if %{with vendor}
%global cargo_registry vendor
%endif

Name:           wldash
Version:        0.3.0
Release:        0.1%{?dist}
Summary:        Wayland dashboard and launcher

# Upstream license specification: GPL-3.0+
License:        GPLv3+
URL:            https://sr.ht/~kennylevinsen/wldash/
Source0:        https://git.sr.ht/~kennylevinsen/wldash/archive/v0.3.0.tar.gz#/%{name}-v%{version}.tar.gz
%if %{with vendor}
Source1:        vendor.tar.xz
Source2:        cargo-vendor.sh

BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(libpulse)
%else
# Bump some dependencies
Patch0:         wldash-fix-metadata.diff
%endif

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  systemd-rpm-macros

%description
A dashboard/launcher/control-panel thing for Wayland.


%prep
%autosetup -p1 -n %{name}-v%{version} %{?with_vendor: -a1}
%cargo_prep


%if %{without vendor}
%generate_buildrequires
%cargo_generate_buildrequires
%endif


%build
%cargo_build


%install
%cargo_install
install -D -m 644 -pv -t %{buildroot}%{_datadir}/%{name} config.*


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/config.{json,yaml}


%changelog
* Thu Jan 20 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.3.0-0.1
- Initial package
